cmake_minimum_required(VERSION 2.8)

SET(COMPILE_DEFINITIONS -Werror -Wall)


set(CMAKE_C_FLAGS "-Os")
set(CMAKE_CXX_FLAGS "-Os")
#set(CMAKE_C_FLAGS "-g -ggdb")
#set(CMAKE_CXX_FLAGS "-g -ggdb")

add_executable(fbcp fbcp.c)
target_link_libraries(fbcp m)

add_executable(flicker flicker.c)

add_executable(pixelflut pixelflut.c)
find_package (Threads)
target_link_libraries (pixelflut ${CMAKE_THREAD_LIBS_INIT})
